=== debian/changelog ===
upx-ucl (3.08-2ubuntu1) precise; urgency=low

  * Merge from Debian testing. (LP: #928768) Remaining changes:
    - [arm] needs porting to thumb2; use -marm as the code
      does a lot of low level hacking not yet ready for thumb2 

 -- Paolo Sammicheli <xdatap1@ubuntu.com>  Thu, 19 Jan 2012 07:47:12 +0000

upx-ucl (3.08-2) unstable; urgency=low

  * Upload to unstable.
  * LZMA compression is now supported (LP: #625158).

 -- Robert Luberda <robert@debian.org>  Mon, 09 Jan 2012 00:56:10 +0100

upx-ucl (3.08-1) experimental; urgency=low

  * New upstream version 3.08.
  * Switch to tiny rules format and debhelper v9.
  * Rename & refresh patches with gbp-pq import/export.
  * Add VCS fields.

 -- Robert Luberda <robert@debian.org>  Sun, 08 Jan 2012 16:41:22 +0100

upx-ucl (3.07-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #799241) Remaining changes:
    - [arm] needs porting to thumb2; use -marm as the code
      does a lot of low level hacking not yet ready for thumb2

 -- Paolo Sammicheli <xdatap1@ubuntu.com>  Thu, 10 Feb 2011 04:37:58 +0000
