=== debian/control ===
Source: upx-ucl
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.9.14~),
               libucl-dev (>= 1.03),
               lzma-dev (>= 9.22),
               zlib1g-dev (>= 1:1.1.4)
Homepage: http://upx.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/users/robert/upx-ucl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/upx-ucl.git

Package: upx-ucl
Architecture: any
Provides: upx
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: efficient live-compressor for executables
 UPX is an advanced executable file compressor. UPX will typically
 reduce the file size of programs and DLLs by around 50%-70%, thus
 reducing disk space, network load times, download times etc. The
 current version can compress executables for DOS, Linux/ELF (i386,
 amd64, ppc32) and some other files for different OS.
 .
 NOTE: This package is based on the UCL library, which is licensed under GPL.
