=== debian/rules ===
#!/usr/bin/make -f

DH_AUTO_OPTIONS         := -v -Smakefile --parallel
package                 := $(shell dh_listpackages)


BIG_ENDIAN_ARCHS        := hppa ia64 sparc
DEB_BUILD_ARCH          := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export DESTDIR          := $(CURDIR)/debian/$(package)

export CC               := gcc
export CXX              := g++
export UPX_UCLDIR       := /none
export UPX_LZMADIR      := /usr/include/lzma
export CXXFLAGS         := $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS         := -DWITH_UCL $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS          := $(shell dpkg-buildflags --get LDFLAGS)
ifneq (,$(findstring $(DEB_BUILD_ARCH), $(BIG_ENDIAN_ARCHS)))
        CPPFLAGS        += -D__BIG_ENDIAN__=1
endif

ifeq (0,1)
	CXXFLAGS 	+= -I $(I)
	LDFLAGS 	+= -L $(L)
endif

ifeq (armel,$(DEB_BUILD_ARCH))
	# [asac] not thumb2 ready - use -marm
	CXXFLAGS	+= -marm
endif

build: build-stamp

%:
	dh "$@"

override_dh_auto_build: build-stamp
build-stamp:
	rm -f .pc/.*unapply # see bug#649521

	# Add here commands to compile the package.
	@echo "Starting build process ($(DEB_BUILD_ARCH))"
	dh_auto_build $(DH_AUTO_OPTIONS) --     \
	              exeext=""                 \
	              target=linux              \
	              all

	cd doc && mv upx.1 $(package).1

	touch "$@"

override_dh_auto_clean:
	rm -f build-stamp

	dh_auto_clean $(DH_AUTO_OPTIONS) -- \
	                exeext=""
	rm -rf doc/*.1 doc/*.ps

override_dh_auto_install:
	install -pm 0755 src/upx $(DESTDIR)/usr/bin/$(package)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installman:
	dh_installman doc/*.1
