=== debian/changelog ===
upx-ucl (3.09-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: [arm] needs porting to thumb2; use -marm as the code
      does a lot of low level hacking not yet ready for thumb2.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 May 2013 15:26:07 -0400

upx-ucl (3.09-2) unstable; urgency=low

  * Upload to unstable.
  * Standard-Version: 3.9.4:
    + add Built-Using field referring to version of lzma-dev package.

 -- Robert Luberda <robert@debian.org>  Fri, 10 May 2013 09:18:12 +0200

upx-ucl (3.09-1) experimental; urgency=low

  * New upstream version 3.09:
    + g++-4.8 compilation issue fixed by upstream (closes: #701368).
  * Compile with -D_FILE_OFFSET_BITS=64 to fix `file not found'
    error on Windows samba shares (closes: #698029).
  * Bump Standards-Version to 3.9.3 (no changes required).

 -- Robert Luberda <robert@debian.org>  Sun, 24 Mar 2013 11:03:52 +0100
