=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.9.14~),
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
                libucl-dev (>= 1.03),
                lzma-dev (>= 9.22),
                zlib1g-dev (>= 1:1.1.4)
@@ -14,6 +14,7 @@
 
 Package: upx-ucl
 Architecture: any
+Built-Using: ${Built-Using}
 Provides: upx
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: efficient live-compressor for executables
