=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DH_AUTO_OPTIONS         := -v -Smakefile --parallel
+BUILT_USING             := $(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W lzma-dev)
 package                 := $(shell dh_listpackages)
 
 
@@ -14,7 +15,8 @@
 export UPX_UCLDIR       := /none
 export UPX_LZMADIR      := /usr/include/lzma
 export CXXFLAGS         := $(shell dpkg-buildflags --get CXXFLAGS)
-export CPPFLAGS         := -DWITH_UCL $(shell dpkg-buildflags --get CPPFLAGS)
+export CPPFLAGS         := -DWITH_UCL -D_FILE_OFFSET_BITS=64 \
+                           $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS          := $(shell dpkg-buildflags --get LDFLAGS)
 ifneq (,$(findstring $(DEB_BUILD_ARCH), $(BIG_ENDIAN_ARCHS)))
         CPPFLAGS        += -D__BIG_ENDIAN__=1
@@ -65,3 +67,6 @@
 
 override_dh_installman:
 	dh_installman doc/*.1
+
+override_dh_gencontrol:
+	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
