## upx-ucl 3.91

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # UPX toplevel Makefile - needs GNU make 3.81 or better
 #
-# Copyright (C) 1996-2011 Markus Franz Xaver Johannes Oberhumer
+# Copyright (C) 1996-2013 Markus Franz Xaver Johannes Oberhumer
 #
 
 MAKEFLAGS += -rR
