=== src/stub/Makefile ===
--- 
+++ 
@@ -56,6 +56,7 @@
 STUBS += amd64-linux.kernel.vmlinux-head.h
 STUBS += amd64-linux.kernel.vmlinux.h
 STUBS += amd64-linux.shlib-init.h
+STUBS += amd64-win64.pep.h
 STUBS += arm-darwin.macho-entry.h
 STUBS += arm-darwin.macho-fold.h
 STUBS += arm-linux.elf-entry.h
@@ -137,7 +138,7 @@
 all.targets ?= .upx-stubtools-stamp tmp/.tmp-stamp .all-stamp
 all: $$(all.targets)
 .upx-stubtools-stamp: $(MAKEFILE_LIST)
-	upx-stubtools-check-version 20060823
+	upx-stubtools-check-version 20130920
 	@echo "timestamp" > $@
 %/.tmp-stamp:
 	@mkdir -p $(dir $@)
@@ -246,9 +247,14 @@
 	$(call tc,xstrip) --with-dump=$1.dump --create-bindump=$1.bindump $1
 	cat $1.dump >> $1
 endef
+
+tc.default.f-objstrip-disasm.bin = @true
+tc.default.f-objstrip-disasm.o   = $(call tc,objdump) -dr $(tc_objdump_disasm_options) $1 | $(RTRIM) > $1.disasm
+tc.default.f-objstrip-disasm.obj = $(call tc,objdump) -dr $(tc_objdump_disasm_options) $1 | $(RTRIM) > $1.disasm
 define tc.default.f-objstrip
 	chmod a-x $1
 	$(call tc,objcopy) -R .comment -R .note -R .note.GNU-stack -R .reginfo $1
+	$(call tc,f-objstrip-disasm$(suffix $1),$1)
 endef
 
 # some common arch settings
@@ -298,7 +304,6 @@
 tmp/amd64-darwin.macho-main.o : $(srcdir)/src/$$T.c
 	$(call tc,gcc) -c -Os -fPIC $< -o $@
 	$(call tc,f-objstrip,$@)
-	$(call tc,objdump) -dr $(tc_objdump_disasm_options) $@ | $(RTRIM) > $@.disasm
 
 
 # /***********************************************************************
@@ -332,13 +337,7 @@
 tmp/amd64-linux.elf-main.o : $(srcdir)/src/$$T.c
 	$(call tc,gcc) -c -Os $< -o $@
 	$(call tc,f-objstrip,$@)
-	$(call tc,objdump) -dr $(tc_objdump_disasm_options) $@ | $(RTRIM) > $@.disasm
 
 
 # /***********************************************************************
 # // amd64-linux.kernel.vmlinux
-# // amd64-linux.kernel.vmlinux-head
-# ************************************************************************/
-
-# info: we use the tc settings from arch-i386 !!
-
