=== debian/changelog ===
upx-ucl (3.91-1) unstable; urgency=low

  * New upstream version with experimental support for Windows 64-bit
    PE files.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Oct 2013 12:27:21 +0200
