=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: upx-ucl
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9),
                libucl-dev (>= 1.03),
