=== debian/rules ===
--- 
+++ 
@@ -22,17 +22,6 @@
         CPPFLAGS        += -D__BIG_ENDIAN__=1
 endif
 
-ifeq (0,1)
-	CXXFLAGS 	+= -I $(I)
-	LDFLAGS 	+= -L $(L)
-endif
-
-ifeq (armel,$(DEB_BUILD_ARCH))
-	# [asac] not thumb2 ready - use -marm
-	CXXFLAGS	+= -marm
-endif
-
-build: build-stamp
 
 %:
 	dh "$@"
