=== debian/watch ===
# control file for the uscan(1) tool
version=2
http://upx.sourceforge.net/ \
	(?:.*/)upx-([\d\.]+)-src\.tar\.(gz|bz2)
